## autodisconnect 0.4.5

=== Makefile ===
#############################################################################
# Makefile for building: autodisconnect
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat Jun 12 15:16:02 2010
# Project:  autodisconnect.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile autodisconnect.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src \
		sub-control-panel

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/calvin/dev/autodisconnect_0.4/src/src.pro -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/calvin/dev/autodisconnect_0.4/src/src.pro -unix -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall
control-panel/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) control-panel/ || $(MKDIR) control-panel/ 
	cd control-panel/ && $(QMAKE) /home/calvin/dev/autodisconnect_0.4/control-panel/control-panel.pro -unix -o $(MAKEFILE)
sub-control-panel-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) control-panel/ || $(MKDIR) control-panel/ 
	cd control-panel/ && $(QMAKE) /home/calvin/dev/autodisconnect_0.4/control-panel/control-panel.pro -unix -o $(MAKEFILE)
sub-control-panel: control-panel/$(MAKEFILE) FORCE
	cd control-panel/ && $(MAKE) -f $(MAKEFILE)
sub-control-panel-make_default: control-panel/$(MAKEFILE) FORCE
	cd control-panel/ && $(MAKE) -f $(MAKEFILE) 
sub-control-panel-make_first: control-panel/$(MAKEFILE) FORCE
	cd control-panel/ && $(MAKE) -f $(MAKEFILE) first
sub-control-panel-all: control-panel/$(MAKEFILE) FORCE
	cd control-panel/ && $(MAKE) -f $(MAKEFILE) all
sub-control-panel-clean: control-panel/$(MAKEFILE) FORCE
	cd control-panel/ && $(MAKE) -f $(MAKEFILE) clean
sub-control-panel-distclean: control-panel/$(MAKEFILE) FORCE
	cd control-panel/ && $(MAKE) -f $(MAKEFILE) distclean
sub-control-panel-install_subtargets: control-panel/$(MAKEFILE) FORCE
	cd control-panel/ && $(MAKE) -f $(MAKEFILE) install
sub-control-panel-uninstall_subtargets: control-panel/$(MAKEFILE) FORCE
	cd control-panel/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: autodisconnect.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile autodisconnect.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile autodisconnect.pro

qmake_all: sub-src-qmake_all sub-control-panel-qmake_all FORCE

make_default: sub-src-make_default sub-control-panel-make_default FORCE
make_first: sub-src-make_first sub-control-panel-make_first FORCE
all: sub-src-all sub-control-panel-all FORCE
clean: sub-src-clean sub-control-panel-clean FORCE
distclean: sub-src-distclean sub-control-panel-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets sub-control-panel-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets sub-control-panel-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== control-panel/Makefile ===
#############################################################################
# Makefile for building: libautodisconnect.so
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat Jun 12 14:51:16 2010
# Project:  control-panel.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile control-panel.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_PLUGIN -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgmodule-2.0 -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = plugin.c 
OBJECTS       = plugin.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		control-panel.pro
QMAKE_TARGET  = autodisconnect
DESTDIR       = 
TARGET        = libautodisconnect.so
TARGETD       = libautodisconnect.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)



Makefile: control-panel.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile control-panel.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile control-panel.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/autodisconnect1.0.0 || $(MKDIR) .tmp/autodisconnect1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/autodisconnect1.0.0/ && $(COPY_FILE) --parents plugin.c .tmp/autodisconnect1.0.0/ && (cd `dirname .tmp/autodisconnect1.0.0` && $(TAR) autodisconnect1.0.0.tar autodisconnect1.0.0 && $(COMPRESS) autodisconnect1.0.0.tar) && $(MOVE) `dirname .tmp/autodisconnect1.0.0`/autodisconnect1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/autodisconnect1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

plugin.o: plugin.c 
	$(CC) -c $(CFLAGS) $(INCPATH) -o plugin.o plugin.c

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/hildon-control-panel/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/hildon-control-panel/ 
	-$(INSTALL_PROGRAM) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/hildon-control-panel/$(TARGET)"
	-$(STRIP) --strip-unneeded "$(INSTALL_ROOT)/usr/lib/hildon-control-panel/$(TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/hildon-control-panel/$(TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/hildon-control-panel/ 


install_desktop: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon-control-panel/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon-control-panel/ 
	-$(INSTALL_FILE) /home/calvin/dev/autodisconnect_0.4/control-panel/data/autodisconnect.desktop $(INSTALL_ROOT)/usr/share/applications/hildon-control-panel/


uninstall_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/applications/hildon-control-panel/autodisconnect.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/applications/hildon-control-panel/ 


install:  install_target install_desktop  FORCE

uninstall: uninstall_target uninstall_desktop   FORCE

FORCE:

=== debian/changelog ===
autodisconnect (0.4.5) unstable; urgency=low

  * Enhancement of AutoSwitch [#5861] : 
    + 3G/Dual option  - Reporter jaguilar
    + Active only when 3G is on - Special thanks to maddler
    + Others enhancements

  * Fix [#5918] : The minus button on the SpinBox on the bluetooth tab was defective - Reporter hironico

  * New feature [#5870] : Add an option: "Do not disconnect while using the device" - Reporter c1fs2aom
  * New feature [#5919] : Add a grace period for each connection

 -- Aymeric Brisse <aymeric.brisse@gmail.com>  Thu, 10 Jun 2010 20:16:34 +0200

## autodisconnect 0.4.6

=== debian/changelog ===
autodisconnect (0.4.6) unstable; urgency=low

  * Fix [#5923] Cannot disable the auto-switch 2G/3G
  * Enhancement : Add a link to the Wiki

 -- Aymeric Brisse <aymeric.brisse@gmail.com>  Mon, 14 Jun 2010 02:29:01 +0200

## autodisconnect 0.4.7

=== debian/changelog ===
autodisconnect (0.4.7) unstable; urgency=low

  * Fix [#6028] Need longer "switch last" durations
  * Fix [#6070] Add Exception for Pidgin Plugin

  * MinorEnhancement : Notification labels changed

 -- Aymeric Brisse <aymeric.brisse@gmail.com>  Wed, 21 Jul 2010 02:07:52 +0200

=== debian/control ===
Source: autodisconnect
Section: user/network
Priority: extra
Maintainer: Aymeric Brisse <aymeric.brisse@gmail.com>
Build-Depends: debhelper (>= 5), libgtk2.0-dev, libqt4-dev, libgconf2-dev, libosso-dev, hildon-control-panel-dev
Standards-Version: 3.7.2
Homepage: http://github.com/abrisse/AutoDisconnect

Package: autodisconnect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Automatically closes your idle connections (Wifi + 3G/GPRS + Bluetooth) and switches the network mode of your phone (use 2G when 3G is not required by connection) in order for your batteries to last much longer.
 To manage the application, an icon 'AutoDisconnect' is available in Settings > Connectivity.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=5016&group_id=1353&func=browse
XB-Maemo-Upgrade-Description: Fixed Bluetooth feature.
XSBC-Maemo-Display-Name: AutoDisconnect
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAEwlJREFUeNrUWWuMHeV5fud2
 7nv2dvbuXXZtL14HQwzYhItJoVwStaUQKClQQDSFpJRaQfnRNlHbOCWqVJCo
 BFVbtY3a1KjkRxRIEFRtRVGhlACWaxuv7bUX3/bivZ/rntvMnOnzfDOz7Fkn
 tLT505G+M2fmzHzf+7zX5/2O5nme/H8+zPUXy8vLsrq6unat67qYpimapuPK
 E9d1BRfiNRqSTCYlFosJ4ZeKRbFtWxzHCZ7XdCgmahimpemahuc9/Obih7om
 YjfwPueORqNq8B0qku/zPn/HHEqGer0u5XL5IsH5TDqdFm29BR544AF58cUX
 165TqZQMj2yWZEuLuJj8wuysmJYp+VxeHnv0Ubn9tluljvvPPf+8TE1NbTat
 yGX9/QNXxRPxLV5D+mLxeFutXrOKhUJjtVQqAcNcvVY9V62UD9t2/cgN111/
 6oY911eGh0eUAj788EMlVD6fXwP2/vvvywv794tuGGugeGA6efLJJ5stwBfW
 H5FIRCzLUgOKVNcEEN7DjLFqufz5S7eN3dM3OLy7q7t7M5RvGaYh0L7E8CyE
 lVwuJwP9vVKtVmVqekYW5helWMzPROPxowD1I8MwXob2Z3FWFuA5HJSJ624E
 wO/8zfxkHue7EWxmVmrVX4bLfbVeq117+Y4dkflsXhpuQ1pTSSXEaqUiIwN9
 Mre0Ii0tadk82C8O3h0aGJAj48fk/NT0wMzc/EC19v7nyuXKk+1trX8di0b/
 Fu8u/a9j4L87Gg1XYtHYpZ/9uZv29fb1/SrA6BHEQSplSXt7u5Sh4ZZkgvpR
 IGLQXLFSkxLAEMimvh4xocnLto9JrVZHvJXgCqvyHz9+d3R0y8jTqZaWezOd
 maeg3Vd+5gAYTP39m+7edtnlfzKyeWRrd1f3WhBGohH4sCuZzg7RILhddxDg
 ERpMxraOSG93Rs5OzUi2UJSujnYxkSj43Ah8f2VlRU5MTMjhD45Kazq9e9Om
 gReHBjc9g3mfAZDyzwSAgwBr7+jcu237ZU93ZDIxpyGyki9KpqNDUtC4FbEQ
 G4gL01IadpEhkHggcAFaLstAT7fMzi/I6XNT0tHWKmkkBSsSldm5eViiBhdr
 UefNm0cIIlmpVPfZtrO1s7NzL4Dm/g8ANPitI5l0+msQ/pl0Wxtiiak1woXU
 wvF4TAV0GIDManSXuu0IM6eBYJtG0NbrtkSsiExMnlauxXcImofrJpSFFxaX
 VHrk0d7W9iBSegop+EuYMxveX4tGrMN7HwuAeTmdbn1489ZLvw3/1P2MEMXi
 vgCJRAwuFFMZgcMHgECGVQrlukQjDelpT0sDi/XBjc6cPScnACBfLKkMwjpS
 w3sxxJadSMgiAJw5fQZrWLLz01fI/Pz8XSdPncrF4/GvsIZwfgnSvg3AKiv+
 VN1j4rb2ts+Mjm1/NtWSjuu64WsNbpJKxmWgt1sJz0lDAD4IE67VBhfx3TcR
 j6tix9+u2LFdCX5sYlIc3Vau5sLCLhWDWELNEAPfmXanpqelu6tLCvnCIwOb
 Bo91d3c9w/VDSxRRPAcHB386gI7Ozrard3/m2ZZ0a6eua0H+jwhzfAtSZQbB
 SLcJK7bSDjVj+9W4vSWlNK8KJUatXlfxsKm/T5ZXcjK3sICYMcWBQgzTUcqh
 i9nQKsHQpbq7u2VsbBun/Xpvb++BRCLxRlh4WZ2HhoaaARiBEAYEHhy85Lcy
 3T3Xh4WFmtdBKZjnN/X1Kk2tdx3fEki1HooX/N00/DTqaZ6w/FDb0xfmEBM6
 0m5SrFxEad/QGTtB4cKcPBMMKjtcMCqjo1t53Q7q8o2Ojo53w8wUAtTXA6BP
 8uju7r10eMuWx6hJxYcM/0zt9/d0SXtr+iLhfQAQGik1Hov6lROKoECKLyHf
 o4agJlSlVF5VzxnBvATA56kgVf0jEQXmxIkJlWa5DgL6VrjNPcxWFdQVWoAg
 mgDUkS559A4MPNCSTg8zkSvB1CK+MFYAKizrzf7vP4eKKqlEfC0z1WCRCq2C
 4PSzVkQJbarfOQ/IG1BGocAkXM80fCriei4DWZFH+j6oyBMI6ASLJge+NwOg
 6XCzK9PVda8RaDQUSgkNQLbrKlcJBb4YABfX165VTfBIDFsUg+Vc4W+cSK2Z
 SEoKaZm/O4ghvkNYVMB5uBKJG70BhO9q3LuFwre2tl4MgMGGzLInmWr5VCMI
 Fu2jkoChSxYFzHW9j7HAR2QsdCu6hAn3U4KCF9FN+Dp/T6VbpbW9TQHkswx2
 r+GF1GutXgQU2wRTvYMuRE7G0QTARt5vbWu73QgKEmcIybYX1BHSZwbfemYY
 AgnPIRBWY/o2s4qhmK6H7zGBeyqNEiRzvu8irsp0pNPxwP0odBdSKelKmH0g
 9LUA0M++hRRc30CfE1jsGj5MLVCA0P/UANuU4LtIcydH13KUu/gVklVYaAVk
 LzVfUBjZV3Be1234164/r5rT812HSYOgqQRF5YPsqFzSdYehpFGyAAJrAhBP
 JEZg7ksUZcZkTcJDQ/j0G4/zM1IsVfwAhHDM/ZWag6/QumbASr55fSCOYp7M
 GHwu7NzoVlFkqwafU+6AZ92Ges9/p6aUdOrUKZlFI0UggXVboJDt4fxNdQCa
 GMQpGfqXPxy/BwAAcH9ZqdYkh44pjWrclk4pzTYA1obQVRsNhudbiZpWv6mc
 bePdun+u+2BUM4JsVKsX163jBABsqYGa05plpF9W5ksuuWQtvuA+o5hDQ3Hz
 NhayDFBFOAG14JvcB1ICf7GdLKhBUmWAMni+CiJMWIVwBVRZpuEEtEpt0nqs
 AwoYfqdGawBfr9cUAF7zuwMazkaH65D18ruKJd3vvWkFzhvWpCA2+vG+7rIh
 aQpEQ0+5jq37wtsSAqkh6nO5rFogwWYexCuP1JYHH6FZIwi+CCaOI9OY8KoS
 AmwVBQu0WGwI6tp1WNfBvbK6p8AEANAbq3ltrKXci9eO47MCz2ed40fH5ezZ
 syrNMoPhXQ2FTOPzTRaIRiIGtUdXsREgtjJ3TWkDDTpIXEoJUqEgqIQTWGTL
 cENVVboUiVsOoIoAZxiWihtqW0OVsuE+rMnqXbhHtUZwti88B8EwTur+tbKi
 5gUNfFEOHjyoMpIiiImEh3FxTwzkdVhgzU85rMBfo7G4Kt81LAxqDQAV9X1p
 eYWsFZPGpQsFpqerU1rwfXZ+SVEPClOF1jkXha1S+3UKXw8UtH747uVbA1Zz
 /ATCbEP2+eabb6pYuPzyy5UrqcZ+Q5OA7keD1WtWBAv5RcQMCpO5Zlpmk0ZA
 hVehbWozCeusgGXyfiIeVcLUiugJAL6zNSUFxFAOc7a1JCSbtSUPZbDuMFip
 CJ6rQYzYYcYCELoQfZ+uQzlYJ3BdRiC7F7kQzHIBRKxer1atmuL+pl9wQA88
 lS5tRbgsgmMBQsYxLQTf0pLkkSmoKZp7eHBAUvGIrEJrPegN4lGkQC8uEVP3
 AxWNUDYLggah6xC+gphhda1UK76FCAT3+SzX9QteRO1TgZFSzrOwlKeIZlMM
 RKNnESjZ1XI5SXcJ6a0GAOHuGHO3qtCeX4BMaCrcB+K+Dy0wyexE8gcTYyq4
 m6dqgXInJTT64CR5jIdrU+oQvFgsqF2KympZAaFF2M5ahrm2N8QgBoAG5pnk
 LiJBNwHIZrMzQDcOITYxEOk+ihYo9hYUX1ZaCG4xXweNiG775I1uxOcpBN0r
 AeZZQM0IrcfhFzT/u+faiiBWQK+zEKgI6zGzlaF97j5pUB6zXjwCFoy5VBay
 IkugHydQA9BYtTQDgH95YHhv4sHPFQoFKRaQJgM6F/IRFheyRWqHBIz3Q82S
 iZICqMCDi6ViEYGzqtwe1pVwhIFLy7JT06AsF1nrU719ssWLyMByRbSlvMxU
 XZk2YNE+Syz013o8eqzqOJOOoUlD37Arcf78eTl9+vS/3HTTTd9YXFxILiws
 SUnRBV/zZIU2mSCKDjORBFVWN3TF8elWq6tFgOQ7MSVcWPL9oP+owhMwM0sW
 sZPDO4OxpPzOr98lN+7aLd3nl0U/eFTk6ITMnTsrBy4syGzhjLjtgxLZbL9q
 oHw3aq5YzgYqMTIyIuPj40dggX8bGdn8C9QMXUktzl05dmxwFQpAzs8qzGBj
 rJCANRqGosMEm4DZWayobS/ojTn4Lu+THiwsLsqF7LLsdKPyzbvvkpFrdkrp
 zJQsHj8lTrUkMtAhRmtMrljplSvn5iTy3gkx3zqRWl5alIJWkt5HH20GkMlk
 pKenhyzqBeTb2+BG1pkzZ1RlVaUeaY31gCFB83sIPEs15aYPSPc7LLoZgWm9
 PQp0uJNA4WkVxJpqFWdWlmVr3pY/vvFm6UByOPePr4u5WvW3TtgTgBy6Bpr8
 VKvYA6QotrTY+u9FL6zMFatLf5lA0Jsbd6NJU7HQK2iY3xwdHb2Fgs7MzEih
 4P8HEI/XVevH+9xFMLgjB+0z4EyW/6Djytk+HdkKq1LwME7oNhR+OZ8To7Aq
 v905Ku2puCwkkGXu+UWpvvqvYiwsKyoOE3M3QGyAsX7ji+Lh+ZXvvxaNbOl5
 Kj/+4dsJzf1gYyVWgkHzJWjuabjUDVg0xsxCSkuzF1CcIhCE+6H+Hr61RrTC
 LXAtcDNW9XYUHlbpiuJGFfUHShXnEgrWHj0uV/Z0yXJ7i/Q++CsSAT3IwRKF
 73xPrGwR2c1VDVT0kbslc/+dKp0sLeVE/8FrmW6t9TfhuE80ATh37pwcOHBA
 FQwI98/333//n6Nsfy3sl+kO1B59mNWSghhBsfOZohk06f5RgJazcBPuhfb1
 9ak0qOKJxQniXNfaKY0IRECQuodPiFx3lbTt3CHyyL1SfO67AmIl0Ye+IJn7
 7lCNi3PyjJinp8SDS7Un05+3NelqAvDRHpC/5wOt/9G2bduu3LFjx80EQI2T
 RBEEi049IF7rG3xZ/ycE8z80OI3GnHs4VAxdCKVd2q2oDMWTik434DLZv9gv
 Hp5N3HiNtF39afHgMnXwqQzcitsJNoQv7nteGlMXFDOI1yo9Fd0baQLABTo7
 OxXf4AFr5OEKj998883fh/A7uAvAZ/g7A5G1gkHps0dXNm7Ahq7E2Orv71cW
 UPwKlorHdUlCtAZIoYaa4S5nJffc34mGih2/6Vpp/+y1/pYk29Wjp6T09F+J
 NzMnOuKuMT4pll00E5re0QRgenpaTpw4obQcpjzUholSqfTQnXfe+T0Iv43/
 Yy0sLKimhv9lccuDfu3z+/pPzPt79uyRsbExuXDhQtCJmWLpqLRlVGNm3SgK
 FYB588uy9Ox3JDO8SeJbh5XwDgDm/uzvRZs4Izoz2rFJkYUVZB9T79GMaBOA
 JZAyugfHekUilR6an5//wsMPP/w3u3btup4g5pCXGdQEEQLgYKYJqQKDliX/
 lltuUUrh/FYQMyvLiyBuSVTgJPOraI2y6omj9/2SRPp6PuoSEdTmPbdL5chJ
 iRwYF6nZyqXgtK7V0IsXxcBPOqBF4+WXXz4+OTn5xb179z61c+fOhwDIpMUI
 llagb5NgMYYcx6fbDHoCIIMMKQTZZj6L6gvXW3JN2W4b/N9VaqThex+W7scf
 VNzLPnpSXMRG7Oevk/bbboS1qlL+8jclirOGzKc5WkXztGlj3759a4K+9NJL
 cuTIkYv/5RCVBKJwneJbb731BjQ9DZdAlh3pYt1Y/28md80Y7BSeMcOY2r59
 u9oifOedd9SmLemzg+zTr5lydR7ZDDQ78fhD0r33ESW8c/xDyT2xT2ov/EiM
 kU1ibtsssbEt0hgbFufgcbHYj9fLP3Z37Xz+fwJgzUDceYHwkUOHDh1/7733
 3oGLFIeGhjpQtTtRwVUlp/DBFqUKWgJkMJ88eVIFvcpmABcFu6yA7F01lZWO
 baOS+dPfR1E0leazX/q6NA5P+DHw7wfFQEyYlw5LDEAas4tivDeO2Cnu03df
 9Z+fBIAWDLpdAv5fQ596HG3eIcTIFILeRZDH4EIWzgY1T0AEwLggMGawYKfZ
 ya9kC4dmz09W8oWlW6dLXcw+HgDnvvIH4rx/WHTuowKkVkVrefCYGFuGxEMq
 tb77iugL2R/O1xe+Fdm9y2n6px5BKvv37/84APxTK0JLMOuuG6SmnXCfIeT7
 kba2tgF874IbJRFXFgLahNA6gtheXFwsA3we1mOmWAKzyn1bMtd+We+4sdKW
 kjraUkMHv+LGbTrlD+5o9/dIwvakdGTi7W8tjj/0emPxzK89/tVP9D8xkXL/
 3Q0Gv4N5SSU8Z/1jMgDFYpIMwBK0sW6OevDOakW8/D5Zfme10fjgsZX6fR0S
 63AUkUOe0dDI6NxmTCCgc97bM2dffWbx2O/+sAFujeNqqX3Sf+qVAG6weD0Q
 HrxX+Fcoe81YMKLBsIJhBDGkBe87ARAy3zo6iNIfyvK7b0jlB/dK6x1XSWxP
 p6336Ku6lbPL9cPzp8//U3HutdfslX8oopwFbuwgF31iABuBuAGQciCgHgi7
 cWgb3g13HZ11Z+cNKc9ivJ4RoyNtG52Sl2gRncGiNOhu+WC9puO/BBgA4z85
 X5r06jAAAAAASUVORK5CYII=

## autodisconnect 0.4.8

=== src-build-simulator/Makefile ===
#############################################################################
# Makefile for building: autodisconnect
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Dec 18 22:05:05 2010
# Project:  ../src/src.pro
# Template: app
# Command: /opt/NokiaQtSDK/Simulator/Qt/gcc/bin/qmake -spec /opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -o Makefile ../src/src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -I../src -I/opt/NokiaQtSDK/Simulator/Qt/gcc/include/QtCore -I/opt/NokiaQtSDK/Simulator/Qt/gcc/include/QtGui -I/opt/NokiaQtSDK/Simulator/Qt/gcc/include -I. -I. -I../src -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/opt/NokiaQtSDK/Simulator/Qt/gcc/lib
LIBS          = $(SUBLIBS)  -L/opt/NokiaQtSDK/Simulator/Qt/gcc/lib -lQtGui -L/opt/NokiaQtSDK/Simulator/Qt/gcc/lib -L/usr/X11R6/lib -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/NokiaQtSDK/Simulator/Qt/gcc/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../src/src/qtmain.cpp \
		../src/src/mainwindow.cpp \
		../src/src/utils.cpp moc_mainwindow.cpp
OBJECTS       = qtmain.o \
		mainwindow.o \
		utils.o \
		moc_mainwindow.o
DIST          = /opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/g++.conf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/unix.conf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/linux.conf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/qconfig.pri \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/modules/qt_webkit_version.pri \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_functions.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_config.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/exclusive_builds.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_pre.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/debug.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_post.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/link_pkgconfig.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/warn_on.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/unix/thread.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/moc.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/resources.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/uic.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/yacc.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/lex.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/include_source_dir.prf \
		../src/src.pro
QMAKE_TARGET  = autodisconnect
DESTDIR       = 
TARGET        = autodisconnect

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../src/src.pro  /opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++/qmake.conf /opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/g++.conf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/unix.conf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/linux.conf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/qconfig.pri \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/modules/qt_webkit_version.pri \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_functions.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_config.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/exclusive_builds.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_pre.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/debug.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_post.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/link_pkgconfig.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/warn_on.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/unix/thread.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/moc.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/resources.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/uic.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/yacc.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/lex.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/include_source_dir.prf \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtGui.prl \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtNetwork.prl \
		/opt/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtCore.prl
	$(QMAKE) -spec /opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -o Makefile ../src/src.pro
/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/g++.conf:
/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/unix.conf:
/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/common/linux.conf:
/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/qconfig.pri:
/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/modules/qt_webkit_version.pri:
/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_functions.prf:
/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt_config.prf:
/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/exclusive_builds.prf:
/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_pre.prf:
/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/debug.prf:
/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/default_post.prf:
/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/link_pkgconfig.prf:
/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/warn_on.prf:
/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/qt.prf:
/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/unix/thread.prf:
/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/moc.prf:
/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/resources.prf:
/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/uic.prf:
/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/yacc.prf:
/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/lex.prf:
/opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/features/include_source_dir.prf:
/opt/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtGui.prl:
/opt/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtNetwork.prl:
/opt/NokiaQtSDK/Simulator/Qt/gcc/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /opt/NokiaQtSDK/Simulator/Qt/gcc/mkspecs/linux-g++ -o Makefile ../src/src.pro

dist: 
	@$(CHK_DIR_EXISTS) ../src/.tmp/autodisconnect1.0.0 || $(MKDIR) ../src/.tmp/autodisconnect1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../src/.tmp/autodisconnect1.0.0/ && $(COPY_FILE) --parents ../src/src/mainwindow.h ../src/src/utils.h ../src/.tmp/autodisconnect1.0.0/ && $(COPY_FILE) --parents ../src/src/qtmain.cpp ../src/src/mainwindow.cpp ../src/src/utils.cpp ../src/.tmp/autodisconnect1.0.0/ && $(COPY_FILE) --parents ../src/uis/mainwindow.ui ../src/.tmp/autodisconnect1.0.0/ && (cd `dirname ../src/.tmp/autodisconnect1.0.0` && $(TAR) autodisconnect1.0.0.tar autodisconnect1.0.0 && $(COMPRESS) autodisconnect1.0.0.tar) && $(MOVE) `dirname ../src/.tmp/autodisconnect1.0.0`/autodisconnect1.0.0.tar.gz . && $(DEL_FILE) -r ../src/.tmp/autodisconnect1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp
moc_mainwindow.cpp: ../src/src/mainwindow.h
	/opt/NokiaQtSDK/Simulator/Qt/gcc/bin/moc $(DEFINES) $(INCPATH) ../src/src/mainwindow.h -o moc_mainwindow.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_mainwindow.h
compiler_uic_clean:
	-$(DEL_FILE) ui_mainwindow.h
ui_mainwindow.h: ../src/uis/mainwindow.ui
	/opt/NokiaQtSDK/Simulator/Qt/gcc/bin/uic ../src/uis/mainwindow.ui -o ui_mainwindow.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

qtmain.o: ../src/src/qtmain.cpp ../src/src/mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qtmain.o ../src/src/qtmain.cpp

mainwindow.o: ../src/src/mainwindow.cpp ../src/src/utils.h \
		../src/src/mainwindow.h \
		../src/ui_mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o ../src/src/mainwindow.cpp

utils.o: ../src/src/utils.cpp ../src/src/utils.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o utils.o ../src/src/utils.cpp

moc_mainwindow.o: moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwindow.o moc_mainwindow.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/autodisconnect/ || $(MKDIR) $(INSTALL_ROOT)/opt/autodisconnect/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/opt/autodisconnect/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/opt/autodisconnect/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/autodisconnect/ 


install_icon64: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ 
	-$(INSTALL_PROGRAM) /scratchbox/users/calvin/home/calvin/dev/autodisconnect_0.4/src/data/64x64/autodisconnect.png $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/


uninstall_icon64:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/autodisconnect.png
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ 


install_icon48: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ 
	-$(INSTALL_PROGRAM) /scratchbox/users/calvin/home/calvin/dev/autodisconnect_0.4/src/data/48x48/autodisconnect.png $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/


uninstall_icon48:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/autodisconnect.png
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ 


install_autodisconnect-network-runner: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/autodisconnect/ || $(MKDIR) $(INSTALL_ROOT)/opt/autodisconnect/ 
	-$(INSTALL_PROGRAM) /scratchbox/users/calvin/home/calvin/dev/autodisconnect_0.4/src/data/scripts/autodisconnect_runner_network $(INSTALL_ROOT)/opt/autodisconnect/


uninstall_autodisconnect-network-runner:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/opt/autodisconnect/autodisconnect_runner_network
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/autodisconnect/ 


install_autodisconnect-network-check: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/autodisconnect/ || $(MKDIR) $(INSTALL_ROOT)/opt/autodisconnect/

=== debian/changelog ===
autodisconnect (0.4.8) unstable; urgency=low

  * Fix [#6380] : Disconnect fails when interface traffic exceeds 2 GiB
  * Fix [#6705]	: Multiple connections support for the same interface

  * New feature [#6102] : Exception for Mobile Hotspot/JoikuSpot
  * New feature [#6709] : IPV6 Support

 -- Aymeric Brisse <aymeric.brisse@gmail.com>  Tue, 21 Dec 2010 23:26:28 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: autodisconnect
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, bc
 Description: Automatically closes your idle connections (Wifi + 3G/GPRS + Bluetooth) and switches the network mode of your phone (use 2G when 3G is not required by connection) in order for your batteries to last much longer.
  To manage the application, an icon 'AutoDisconnect' is available in Settings > Connectivity.
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=5016&group_id=1353&func=browse
